{	This program is copyright (c) 1993 - 2005 Jos Kunst, the Jos Kunst heirs.	}
{	This program is free software. You can redistribute it and/or modify it 	}
{	under the terms of version 2 of the GNU General Public License, which you	}
{	should have received with it.												}
{	This program is distributed in the hope that it will be useful, but			}
{	without any warranty, expressed or implied.									}

program orchestratedchords (output);
	uses
		translations, chordscanner, chordworker, randomizers, outputs, players, workspace, doposition, productions;

	const
		numberofproposals = 10;

	var
		cset: pitchset;
		workpos: position;
		memoryspan: chintarr;
		i: instruments;
		dsgchange: real;
		melody, duration, p, chstep: byte;

begin{main}
	initialize;
	newproduction := TRUE;
	for proposal := 1 to numberofproposals do
		begin
			subinitialize(workpos, cset, memoryspan);
			maxcont := TRUE;
			lotohi := FALSE; {dit moet erbij anders wordt maxcont toch weer onwaar}
			simplify := TRUE;
			chordprogression(workpos, memoryspan, cset, 0, 0, 0, 48);
			chordprogression(workpos, memoryspan, cset, 0, 0, 0, 6);
			cset := [47, 57, 59, 62, 69, 74, 78];
			chordprogression(workpos, memoryspan, cset, 0, 0, 0, 6);
			cset := [47, 53, 56, 60, 62, 66, 69];
			lotohi := TRUE;
			maxcardvl1 := 1;
			chordprogression(workpos, memoryspan, cset, 0, 0, 0, 12);
			maxcardvl2 := 1;
			maxcardvla := 1;
			maxcardvlc := 1;
			cset := [47, 56, 62, 69];
			for p := 1 to 6 do { hiermee komen we tot 002108 }
				begin
					if dsg > 21 then
						dsgchange := -1
					else
						dsgchange := 1;
					case p of
						1: 
							begin
								melfix := 73;
								duration := 4
							end;
						2: 
							melfix := 75;
						3: 
							melfix := 79;
						4: 
							melfix := 82;
						5: 
							begin
								melfix := 88;
								duration := 8
							end;
						6: 
							begin
								melfix := 87;
								duration := 12
							end
					end;
					chordprogression(workpos, memoryspan, cset, 0, 0, dsgchange, duration)
				end;
			melfix := 0;
			for p := 1 to 8 do { en hiermee tot 002214 }
				begin
					if dsg > 21 then
						dsgchange := -210
					else
						dsgchange := 210;
					case p of
						1: 
							begin
								chstep := -2;
								duration := 8
							end;
						2: 
							duration := 6;
						4: 
							duration := 4;
						5: 
							duration := 3;
						6: 
							chstep := 1;
						7: 
							chstep := -2;
						8: 
							duration := 9;
					end;
					chordprogression(workpos, memoryspan, cset, chstep, 0, dsgchange, duration)
				end;
			if storenewsit then
				writefinalstodisk(workpos, memoryspan)
		end;
	if printfile then
		writechordfile;
end.{main}